<?xml version="1.0" encoding="UTF-8" ?>
<odoo>
<record id="sos_fg_view_panel" model="ir.ui.view">
<field name="name">sos_fg.search</field>
<field name="model">sos_fg</field>
<field name="arch" type="xml">
<search position="inside">
<searchpanel>

<field name="fg_type" string="Type" icon="fa-list-ul" enable_counters="1"/>

</searchpanel>
  <field name="name" string="Name"/>

</search>
</field>
</record>
   <record id="action_owl_fg_dashboard" model="ir.actions.client">
            <field name="name">Dashboard</field>
            <field name="tag">owl.fg_dashboard</field>
        </record>
    <record id="sos_fg_view_tree" model="ir.ui.view">
        <field name="name">sos_fg.view.tree</field>
        <field name="model">sos_fg</field>
        <field name="arch" type="xml">

           <tree create="false">
            <header>
<button name="%(action_owl_fg_dashboard)d" string="Dashboard" type="action" class="oe_highlight" display="always"/>
<button name="action_naming_culture"  type="object" string="ss"/>
</header>
<field name="code_no"/>
                   <field name="fg_code"/>
                    <field name="name"/>
                    <field name="display_name"/>
                    <field name="unit_price"/>
                    <field name="msp" groups="sos_inventory.sos_finance_user,sos_inventory.sos_management_user" />
                    <field name="inhand_stock_qty"/>
                    <field name="image" widget="image" class="oe_avatar" optional="hide"/>
             <field name="write_uid" string="Last Edited By" optional="hide"/>
                <field name="write_date" string="Last Edited On" optional="hide"/>
            </tree>
        </field>
    </record>
            <record id="sos_fg_kanban_view" model="ir.ui.view">
            <field name="name">sos_fg.kanban</field>
            <field name="model">sos_fg</field>
            <field name="arch" type="xml">
                <kanban class="o_kanban_mobile">
                    <field name="fg_code"/>
                    <field name="name"/>
                    <field name="fg_type"/>
                    <templates>
                        <t t-name="kanban-box">
                            <div t-attf-class="oe_kanban_global_click sos_card">
                                <div class="row">
                                    <div class="col-9">
                                        <h4><field name="fg_code"/></h4>
                                    </div>
                                    <div class="col-3 text-end">
                                    <div class="o_kanban_image">
                                    <img t-att-src="kanban_image('sos_fg', 'image', record.id.raw_value)" alt="Avatar" class="o_image_64_cover rounded"/>
                                    </div>
                                    </div>
                                </div>
                                <div>
                                    <strong>Name: </strong><t t-out="record.name.value"/><br/>
                                    <strong>Type: </strong><t t-out="record.fg_type.value"/>
                                </div>
                            </div>
                        </t>
                    </templates>
                </kanban>
            </field>
        </record>
 <record id="action_fg_list" model="ir.actions.act_window">
    <field name="name">Finished Goods</field>
    <field name="type">ir.actions.act_window</field>
    <field name="res_model">sos_fg</field>
    <field name="view_mode">tree,form,kanban</field>
    <field name="view_id" ref="sos_fg_view_tree"/>
</record>
       <record id="sos_fg_form_view" model="ir.ui.view">
      <field name="name">Form</field>
        <field name="model">sos_fg</field>
        <field name="arch" type="xml">
            <form>
            <sheet>
            <button groups="sos_inventory.sos_finance_user,sos_inventory.sos_management_user" class="btn btn-info" type="object" name="action_calculate_msp">MSP Break-Up</button>
                <h2 style="text-align: center;text-transform: uppercase;text-shadow: 1px 1p 1px #140718;color: #65407c;padding:5px;">Finished Goods</h2><hr></hr><br></br>
                <group>
                        <group>
                            <field name="fg_code"/>
                            <field name="fg_type"/>
                            <field name="sub_type"/>
                            <field name="code_no"/>
                            
                            </group>
                              <group>
                <field name="image" widget="image" class="oe_avatar" string=""/>
                
                
                </group>
                <group>
                <field name="name"/>
                            <field name="display_name"/>
                            
                <field name="uom"/>
                            <field name="qp_no"/>
                             <field name="hsn_code"/>
                           
                            <field name="unit_price"/>
                             <field name="msp"/>
                           
                               <field name="minimum_stock_qty"/>
                            <field name="minimum_order_qty"/>
                       <field name="in_transit_stock_qty"/>
                            <field name="in_transit_stock_val"/>
                            
                      
                           
                             </group>
                            <group>
                               <field name="order_qty"/>
                            <field name="inhand_stock_qty"/>
                            <field name="inhand_stock_val"/>
                      <field name="received_qty"/>
                            <field name="received_stock_val"/>
                          
                      
                            

                            <field name="issued_qty"/>
                             <field name="issued_val"/>
                            <field name="blocked_qty"/>
                            <field name="defect_qty"/>
                             <field name="cancelled_qty"/>
                                 <field name="location"/>
                <field name="description" />
                        </group>
                   


              
                  </group>
   <notebook>
                            <page string="IN - History">
                                <field name="line_ids_in">
                                    <tree editable="bottom" delete="false" create="false">
                                    <field name="date"/>
                                        <field name="quantity"/>
                                        <field name="unit_price"/>
                                        <field name="fir_no"/>
                                        
                                        <field name="mrn_no" readonly="1"/>
                                        <field name="return_fir_no"/>
                                        <field name="action" column_invisible="1"/>
                                       
                                    </tree>
                                 
                                </field>
   
                            </page>
                            <page string="OUT - History">
                                <field name="line_ids_out">
                                    <tree editable="bottom" delete="false" create="false">
                                    <field name="date"/>
                                        <field name="quantity"/>
                                        <field name="min_no"/>
                                        <field name="action" column_invisible="1"/>
                                       
                                    </tree>
                                 
                                </field>
   
                            </page>
                            </notebook>
  

       
  
                </sheet>
            </form>
        </field>
    </record>

              <menuitem id="fg_master_menu"
              name="Finished Goods Stores"
              parent="stores_menu_root"
              action="action_fg_list" groups="sos_inventory.sos_management_user,sos_inventory.sos_scg_group_manager,sos_inventory.sos_scg_group_user,sos_inventory.sos_finance_user"/>
</odoo>
